var NAVTREE =
[
  [ "StdAir", "index.html", [
    [ "StdAir Documentation", "index.html", null ],
    [ "Related Pages", "pages.html", [
      [ "C++ Utility Class Browsing and Dumping the StdAir BOM Tree", "a00001.html", null ],
      [ "C++ Class Building Sample StdAir BOM Trees", "a00002.html", null ],
      [ "C++ Class Storing the StdAir Context", "a00003.html", null ],
      [ "People", "a00004.html", null ],
      [ "Coding Rules", "a00005.html", null ],
      [ "Copyright and License", "a00006.html", null ],
      [ "Documentation Rules", "a00007.html", null ],
      [ "Main features", "a00008.html", null ],
      [ "Make a Difference", "a00009.html", null ],
      [ "Make a new release", "a00010.html", null ],
      [ "Installation", "a00011.html", null ],
      [ "Linking with StdAir", "a00012.html", null ],
      [ "Test Rules", "a00013.html", null ],
      [ "Users Guide", "a00014.html", null ],
      [ "Supported Systems", "a00015.html", null ],
      [ "StdAir Supported Systems (Previous Releases)", "a00016.html", null ],
      [ "Tutorials", "a00017.html", null ],
      [ "Command-Line Utility to Demonstrate Typical StdAir Usage", "a00018.html", null ],
      [ "Specific Implementation of a BOM Root", "a00019.html", null ],
      [ "Specific Implementation of a BOM Root", "a00020.html", null ],
      [ "Specific Implementation of an Airline Inventory", "a00021.html", null ],
      [ "Specific Implementation of an Airline Inventory", "a00022.html", null ],
      [ "Command-Line Test to Demonstrate How To Extend StdAir BOM", "a00023.html", null ]
    ] ],
    [ "Modules", "modules.html", [
      [ "Abstract part of the Business Object Model (BOM)", "a00472.html", null ],
      [ "Part of the Business Object Model (BOM) handling", "a00473.html", null ]
    ] ],
    [ "Class List", "annotated.html", [
      [ "stdair::AirlineClassList", "a00024.html", null ],
      [ "stdair::AirlineClassListKey", "a00025.html", null ],
      [ "stdair::AirlineFeature", "a00026.html", null ],
      [ "stdair::AirlineFeatureKey", "a00027.html", null ],
      [ "stdair::AirlineStruct", "a00028.html", null ],
      [ "stdair::AirportPair", "a00029.html", null ],
      [ "stdair::AirportPairKey", "a00030.html", null ],
      [ "stdair::BasChronometer", "a00031.html", null ],
      [ "stdair::BasDBParams", "a00032.html", null ],
      [ "stdair::BasFileMgr", "a00033.html", null ],
      [ "stdair::BasLogParams", "a00034.html", null ],
      [ "stdair::BomAbstract", "a00035.html", null ],
      [ "stdair::BomArchive", "a00036.html", null ],
      [ "stdair::BomDisplay", "a00037.html", null ],
      [ "stdair::BomHolder< BOM >", "a00038.html", null ],
      [ "stdair::BomHolderKey", "a00039.html", null ],
      [ "stdair::BomJSONExport", "a00040.html", null ],
      [ "stdair::BomJSONImport", "a00041.html", null ],
      [ "stdair::BomKeyManager", "a00042.html", null ],
      [ "stdair::BomManager", "a00043.html", null ],
      [ "stdair::BomRetriever", "a00044.html", null ],
      [ "stdair::BomRoot", "a00045.html", null ],
      [ "stdair::BomRootKey", "a00046.html", null ],
      [ "stdair_test::BookingClass", "a00047.html", null ],
      [ "stdair::BookingClass", "a00048.html", null ],
      [ "stdair::BookingClassKey", "a00049.html", null ],
      [ "stdair::BookingRequestStruct", "a00050.html", null ],
      [ "stdair::Bucket", "a00051.html", null ],
      [ "stdair::BucketKey", "a00052.html", null ],
      [ "stdair_test::Cabin", "a00053.html", null ],
      [ "stdair::CancellationStruct", "a00054.html", null ],
      [ "stdair::CmdAbstract", "a00055.html", null ],
      [ "stdair::CmdBomManager", "a00056.html", null ],
      [ "stdair::CmdBomSerialiser", "a00057.html", null ],
      [ "stdair::CodeConversionException", "a00058.html", null ],
      [ "stdair::CodeDuplicationException", "a00059.html", null ],
      [ "COMMAND", "a00060.html", null ],
      [ "stdair::ContinuousAttributeLite< T >", "a00061.html", null ],
      [ "stdair::date_time_element< MIN, MAX >", "a00062.html", null ],
      [ "stdair::DatePeriod", "a00063.html", null ],
      [ "stdair::DatePeriodKey", "a00064.html", null ],
      [ "stdair::DbaAbstract", "a00065.html", null ],
      [ "stdair::DBManagerForAirlines", "a00066.html", null ],
      [ "stdair::DBSessionManager", "a00067.html", null ],
      [ "stdair::DefaultDCPList", "a00068.html", null ],
      [ "stdair::DefaultDtdFratMap", "a00069.html", null ],
      [ "stdair::DefaultDtdProbMap", "a00070.html", null ],
      [ "stdair::DemandGenerationMethod", "a00071.html", null ],
      [ "stdair::DictionaryManager", "a00072.html", null ],
      [ "stdair::DocumentNotFoundException", "a00073.html", null ],
      [ "stdair::DoWStruct", "a00074.html", null ],
      [ "stdair::EventException", "a00075.html", null ],
      [ "stdair::EventQueue", "a00076.html", null ],
      [ "stdair::EventQueueException", "a00077.html", null ],
      [ "stdair::EventQueueKey", "a00078.html", null ],
      [ "stdair::EventStruct", "a00079.html", null ],
      [ "stdair::EventType", "a00080.html", null ],
      [ "stdair::FacAbstract", "a00081.html", null ],
      [ "stdair::FacBom< BOM >", "a00082.html", null ],
      [ "stdair::FacBomManager", "a00083.html", null ],
      [ "stdair::FacServiceAbstract", "a00084.html", null ],
      [ "stdair::FacSTDAIRServiceContext", "a00085.html", null ],
      [ "stdair::FacSupervisor", "a00086.html", null ],
      [ "stdair::FareFamily", "a00087.html", null ],
      [ "stdair::FareFamilyKey", "a00088.html", null ],
      [ "stdair::FareFeatures", "a00089.html", null ],
      [ "stdair::FareFeaturesKey", "a00090.html", null ],
      [ "stdair::FareOptionStruct", "a00091.html", null ],
      [ "stdair::FileNotFoundException", "a00092.html", null ],
      [ "stdair::FlagSaver", "a00093.html", null ],
      [ "stdair::FlightDate", "a00094.html", null ],
      [ "stdair::FlightDateKey", "a00095.html", null ],
      [ "stdair::FlightPeriod", "a00096.html", null ],
      [ "stdair::FlightPeriodKey", "a00097.html", null ],
      [ "FloatingPoint< RawType >", "a00098.html", null ],
      [ "stdair::ForecastingMethod", "a00099.html", null ],
      [ "stdair::GuillotineBlock", "a00100.html", null ],
      [ "stdair::GuillotineBlockKey", "a00101.html", null ],
      [ "stdair::InputFilePath", "a00102.html", null ],
      [ "stdair::Inventory", "a00103.html", null ],
      [ "stdair::InventoryKey", "a00104.html", null ],
      [ "stdair::KeyAbstract", "a00105.html", null ],
      [ "stdair::KeyNotFoundException", "a00106.html", null ],
      [ "stdair::LegCabin", "a00107.html", null ],
      [ "stdair::LegCabinKey", "a00108.html", null ],
      [ "stdair::LegDate", "a00109.html", null ],
      [ "stdair::LegDateKey", "a00110.html", null ],
      [ "stdair::Logger", "a00111.html", null ],
      [ "stdair::MemoryAllocationException", "a00112.html", null ],
      [ "stdair::NonInitialisedContainerException", "a00113.html", null ],
      [ "stdair::NonInitialisedDBSessionManagerException", "a00114.html", null ],
      [ "stdair::NonInitialisedLogServiceException", "a00115.html", null ],
      [ "stdair::NonInitialisedRelationShipException", "a00116.html", null ],
      [ "stdair::NonInitialisedServiceException", "a00117.html", null ],
      [ "stdair::ObjectCreationgDuplicationException", "a00118.html", null ],
      [ "stdair::ObjectLinkingException", "a00119.html", null ],
      [ "stdair::ObjectNotFoundException", "a00120.html", null ],
      [ "stdair::OnDDate", "a00121.html", null ],
      [ "stdair::OnDDateKey", "a00122.html", null ],
      [ "stdair::OptimisationNotificationStruct", "a00123.html", null ],
      [ "stdair::ParsedKey", "a00124.html", null ],
      [ "stdair::ParserException", "a00125.html", null ],
      [ "stdair::ParsingFileFailedException", "a00126.html", null ],
      [ "stdair::PartnershipTechnique", "a00127.html", null ],
      [ "stdair::PassengerType", "a00128.html", null ],
      [ "stdair::PeriodStruct", "a00129.html", null ],
      [ "stdair::PosChannel", "a00130.html", null ],
      [ "stdair::PosChannelKey", "a00131.html", null ],
      [ "stdair::ProgressStatus", "a00132.html", null ],
      [ "stdair::ProgressStatusSet", "a00133.html", null ],
      [ "stdair::RandomGeneration", "a00134.html", null ],
      [ "stdair::RMEventStruct", "a00135.html", null ],
      [ "stdair::RootException", "a00136.html", null ],
      [ "stdair::RootFilePath", "a00137.html", null ],
      [ "stdair::SampleType", "a00138.html", null ],
      [ "stdair::SegmentCabin", "a00139.html", null ],
      [ "stdair::SegmentCabinKey", "a00140.html", null ],
      [ "stdair::SegmentDate", "a00141.html", null ],
      [ "stdair::SegmentDateKey", "a00142.html", null ],
      [ "stdair::SegmentPeriod", "a00143.html", null ],
      [ "stdair::SegmentPeriodKey", "a00144.html", null ],
      [ "stdair::SerialisationException", "a00145.html", null ],
      [ "stdair::ServiceAbstract", "a00146.html", null ],
      [ "stdair::ServiceInitialisationType", "a00147.html", null ],
      [ "swift::SKeymap", "a00148.html", null ],
      [ "stdair::SnapshotStruct", "a00149.html", null ],
      [ "stdair::SQLDatabaseConnectionImpossibleException", "a00150.html", null ],
      [ "stdair::SQLDatabaseException", "a00151.html", null ],
      [ "swift::SReadline", "a00152.html", null ],
      [ "stdair::STDAIR_Service", "a00153.html", null ],
      [ "stdair::STDAIR_ServiceContext", "a00154.html", null ],
      [ "stdair::StructAbstract", "a00155.html", null ],
      [ "stdair::TimePeriod", "a00156.html", null ],
      [ "stdair::TimePeriodKey", "a00157.html", null ],
      [ "stdair::TravelSolutionStruct", "a00158.html", null ],
      [ "soci::type_conversion< stdair::AirlineStruct >", "a00159.html", null ],
      [ "TypeWithSize< size >", "a00160.html", null ],
      [ "TypeWithSize< 4 >", "a00161.html", null ],
      [ "TypeWithSize< 8 >", "a00162.html", null ],
      [ "stdair::VirtualClassStruct", "a00163.html", null ],
      [ "stdair::YieldFeatures", "a00164.html", null ],
      [ "stdair::YieldFeaturesKey", "a00165.html", null ],
      [ "stdair::YieldRange", "a00166.html", null ],
      [ "stdair::YieldStore", "a00167.html", null ],
      [ "stdair::YieldStoreKey", "a00168.html", null ]
    ] ],
    [ "Class Index", "classes.html", null ],
    [ "Class Hierarchy", "hierarchy.html", [
      [ "stdair::BasChronometer", "a00031.html", null ],
      [ "stdair::BasFileMgr", "a00033.html", null ],
      [ "std::basic_fstream< char >", null, null ],
      [ "std::basic_fstream< wchar_t >", null, null ],
      [ "std::basic_ifstream< char >", null, null ],
      [ "std::basic_ifstream< wchar_t >", null, null ],
      [ "std::basic_ios< char >", null, null ],
      [ "std::basic_ios< wchar_t >", null, null ],
      [ "std::basic_iostream< char >", null, null ],
      [ "std::basic_iostream< wchar_t >", null, null ],
      [ "std::basic_istream< char >", null, null ],
      [ "std::basic_istream< wchar_t >", null, null ],
      [ "std::basic_istringstream< char >", null, null ],
      [ "std::basic_istringstream< wchar_t >", null, null ],
      [ "std::basic_ofstream< char >", null, null ],
      [ "std::basic_ofstream< wchar_t >", null, null ],
      [ "std::basic_ostream< char >", null, null ],
      [ "std::basic_ostream< wchar_t >", null, null ],
      [ "std::basic_ostringstream< char >", null, null ],
      [ "std::basic_ostringstream< wchar_t >", null, null ],
      [ "std::basic_string< char >", null, null ],
      [ "std::basic_string< wchar_t >", null, null ],
      [ "std::basic_stringstream< char >", null, null ],
      [ "std::basic_stringstream< wchar_t >", null, null ],
      [ "stdair::BomAbstract", "a00035.html", [
        [ "stdair::AirlineClassList", "a00024.html", null ],
        [ "stdair::AirlineFeature", "a00026.html", null ],
        [ "stdair::AirportPair", "a00029.html", null ],
        [ "stdair::BomHolder< BOM >", "a00038.html", null ],
        [ "stdair::BomRoot", "a00045.html", null ],
        [ "stdair::BookingClass", "a00048.html", null ],
        [ "stdair::Bucket", "a00051.html", null ],
        [ "stdair::DatePeriod", "a00063.html", null ],
        [ "stdair::EventQueue", "a00076.html", null ],
        [ "stdair::FareFamily", "a00087.html", null ],
        [ "stdair::FareFeatures", "a00089.html", null ],
        [ "stdair::FlightDate", "a00094.html", null ],
        [ "stdair::FlightPeriod", "a00096.html", null ],
        [ "stdair::GuillotineBlock", "a00100.html", null ],
        [ "stdair::Inventory", "a00103.html", null ],
        [ "stdair::LegCabin", "a00107.html", null ],
        [ "stdair::LegDate", "a00109.html", null ],
        [ "stdair::OnDDate", "a00121.html", null ],
        [ "stdair::PosChannel", "a00130.html", null ],
        [ "stdair::SegmentCabin", "a00139.html", null ],
        [ "stdair::SegmentDate", "a00141.html", null ],
        [ "stdair::SegmentPeriod", "a00143.html", null ],
        [ "stdair::TimePeriod", "a00156.html", null ],
        [ "stdair::YieldFeatures", "a00164.html", null ],
        [ "stdair::YieldStore", "a00167.html", null ]
      ] ],
      [ "stdair::BomArchive", "a00036.html", null ],
      [ "stdair::BomDisplay", "a00037.html", null ],
      [ "stdair::BomJSONExport", "a00040.html", null ],
      [ "stdair::BomJSONImport", "a00041.html", null ],
      [ "stdair::BomKeyManager", "a00042.html", null ],
      [ "stdair::BomManager", "a00043.html", null ],
      [ "stdair::BomRetriever", "a00044.html", null ],
      [ "stdair_test::BookingClass", "a00047.html", null ],
      [ "stdair_test::Cabin", "a00053.html", null ],
      [ "stdair::CmdAbstract", "a00055.html", [
        [ "stdair::CmdBomManager", "a00056.html", null ],
        [ "stdair::CmdBomSerialiser", "a00057.html", null ],
        [ "stdair::DBManagerForAirlines", "a00066.html", null ]
      ] ],
      [ "COMMAND", "a00060.html", null ],
      [ "stdair::ContinuousAttributeLite< T >", "a00061.html", null ],
      [ "stdair::date_time_element< MIN, MAX >", "a00062.html", null ],
      [ "stdair::DbaAbstract", "a00065.html", null ],
      [ "stdair::DBSessionManager", "a00067.html", null ],
      [ "stdair::DefaultDCPList", "a00068.html", null ],
      [ "stdair::DefaultDtdFratMap", "a00069.html", null ],
      [ "stdair::DefaultDtdProbMap", "a00070.html", null ],
      [ "stdair::DictionaryManager", "a00072.html", null ],
      [ "stdair::FacAbstract", "a00081.html", [
        [ "stdair::FacBom< BOM >", "a00082.html", null ],
        [ "stdair::FacBomManager", "a00083.html", null ]
      ] ],
      [ "stdair::FacServiceAbstract", "a00084.html", [
        [ "stdair::FacSTDAIRServiceContext", "a00085.html", null ]
      ] ],
      [ "stdair::FacSupervisor", "a00086.html", null ],
      [ "stdair::FlagSaver", "a00093.html", null ],
      [ "FloatingPoint< RawType >", "a00098.html", null ],
      [ "stdair::KeyAbstract", "a00105.html", [
        [ "stdair::AirlineClassListKey", "a00025.html", null ],
        [ "stdair::AirlineFeatureKey", "a00027.html", null ],
        [ "stdair::AirportPairKey", "a00030.html", null ],
        [ "stdair::BomHolderKey", "a00039.html", null ],
        [ "stdair::BomRootKey", "a00046.html", null ],
        [ "stdair::BookingClassKey", "a00049.html", null ],
        [ "stdair::BucketKey", "a00052.html", null ],
        [ "stdair::DatePeriodKey", "a00064.html", null ],
        [ "stdair::EventQueueKey", "a00078.html", null ],
        [ "stdair::FareFamilyKey", "a00088.html", null ],
        [ "stdair::FareFeaturesKey", "a00090.html", null ],
        [ "stdair::FlightDateKey", "a00095.html", null ],
        [ "stdair::FlightPeriodKey", "a00097.html", null ],
        [ "stdair::GuillotineBlockKey", "a00101.html", null ],
        [ "stdair::InventoryKey", "a00104.html", null ],
        [ "stdair::LegCabinKey", "a00108.html", null ],
        [ "stdair::LegDateKey", "a00110.html", null ],
        [ "stdair::OnDDateKey", "a00122.html", null ],
        [ "stdair::ParsedKey", "a00124.html", null ],
        [ "stdair::PosChannelKey", "a00131.html", null ],
        [ "stdair::SegmentCabinKey", "a00140.html", null ],
        [ "stdair::SegmentDateKey", "a00142.html", null ],
        [ "stdair::SegmentPeriodKey", "a00144.html", null ],
        [ "stdair::TimePeriodKey", "a00157.html", null ],
        [ "stdair::YieldFeaturesKey", "a00165.html", null ],
        [ "stdair::YieldStoreKey", "a00168.html", null ]
      ] ],
      [ "stdair::Logger", "a00111.html", null ],
      [ "stdair::RootException", "a00136.html", [
        [ "stdair::DocumentNotFoundException", "a00073.html", null ],
        [ "stdair::EventException", "a00075.html", null ],
        [ "stdair::EventQueueException", "a00077.html", null ],
        [ "stdair::FileNotFoundException", "a00092.html", null ],
        [ "stdair::KeyNotFoundException", "a00106.html", null ],
        [ "stdair::MemoryAllocationException", "a00112.html", null ],
        [ "stdair::NonInitialisedContainerException", "a00113.html", null ],
        [ "stdair::NonInitialisedDBSessionManagerException", "a00114.html", null ],
        [ "stdair::NonInitialisedLogServiceException", "a00115.html", null ],
        [ "stdair::NonInitialisedRelationShipException", "a00116.html", null ],
        [ "stdair::NonInitialisedServiceException", "a00117.html", null ],
        [ "stdair::ObjectLinkingException", "a00119.html", null ],
        [ "stdair::ObjectNotFoundException", "a00120.html", null ],
        [ "stdair::ParserException", "a00125.html", [
          [ "stdair::CodeConversionException", "a00058.html", null ],
          [ "stdair::CodeDuplicationException", "a00059.html", null ],
          [ "stdair::ObjectCreationgDuplicationException", "a00118.html", null ],
          [ "stdair::ParsingFileFailedException", "a00126.html", null ]
        ] ],
        [ "stdair::SerialisationException", "a00145.html", null ],
        [ "stdair::SQLDatabaseException", "a00151.html", [
          [ "stdair::SQLDatabaseConnectionImpossibleException", "a00150.html", null ]
        ] ]
      ] ],
      [ "stdair::RootFilePath", "a00137.html", [
        [ "stdair::InputFilePath", "a00102.html", null ]
      ] ],
      [ "stdair::ServiceAbstract", "a00146.html", [
        [ "stdair::STDAIR_ServiceContext", "a00154.html", null ]
      ] ],
      [ "swift::SKeymap", "a00148.html", null ],
      [ "swift::SReadline", "a00152.html", null ],
      [ "stdair::STDAIR_Service", "a00153.html", null ],
      [ "stdair::StructAbstract", "a00155.html", [
        [ "stdair::AirlineStruct", "a00028.html", null ],
        [ "stdair::BasDBParams", "a00032.html", null ],
        [ "stdair::BasLogParams", "a00034.html", null ],
        [ "stdair::BookingRequestStruct", "a00050.html", null ],
        [ "stdair::CancellationStruct", "a00054.html", null ],
        [ "stdair::DemandGenerationMethod", "a00071.html", null ],
        [ "stdair::DoWStruct", "a00074.html", null ],
        [ "stdair::EventStruct", "a00079.html", null ],
        [ "stdair::EventType", "a00080.html", null ],
        [ "stdair::FareOptionStruct", "a00091.html", null ],
        [ "stdair::ForecastingMethod", "a00099.html", null ],
        [ "stdair::OptimisationNotificationStruct", "a00123.html", null ],
        [ "stdair::PartnershipTechnique", "a00127.html", null ],
        [ "stdair::PassengerType", "a00128.html", null ],
        [ "stdair::PeriodStruct", "a00129.html", null ],
        [ "stdair::ProgressStatus", "a00132.html", null ],
        [ "stdair::ProgressStatusSet", "a00133.html", null ],
        [ "stdair::RandomGeneration", "a00134.html", null ],
        [ "stdair::RMEventStruct", "a00135.html", null ],
        [ "stdair::SampleType", "a00138.html", null ],
        [ "stdair::ServiceInitialisationType", "a00147.html", null ],
        [ "stdair::SnapshotStruct", "a00149.html", null ],
        [ "stdair::TravelSolutionStruct", "a00158.html", null ],
        [ "stdair::VirtualClassStruct", "a00163.html", null ],
        [ "stdair::YieldRange", "a00166.html", null ]
      ] ],
      [ "soci::type_conversion< stdair::AirlineStruct >", "a00159.html", null ],
      [ "TypeWithSize< size >", "a00160.html", null ],
      [ "TypeWithSize< 4 >", "a00161.html", null ],
      [ "TypeWithSize< 8 >", "a00162.html", null ]
    ] ],
    [ "Class Members", "functions.html", null ],
    [ "Namespace List", "namespaces.html", [
      [ "boost", "a00463.html", null ],
      [ "boost::serialization", "a00464.html", null ],
      [ "bpt", "a00465.html", null ],
      [ "soci", "a00466.html", null ],
      [ "stdair", "a00468.html", null ],
      [ "stdair::LOG", "a00469.html", null ],
      [ "stdair_test", "a00470.html", null ],
      [ "swift", "a00471.html", null ]
    ] ],
    [ "Namespace Members", "namespacemembers.html", null ],
    [ "File List", "files.html", [
      [ "batches/stdair.cpp", "a00169.html", null ],
      [ "stdair/stdair_basic_types.hpp", "a00439.html", null ],
      [ "stdair/stdair_date_time_types.hpp", "a00440.html", null ],
      [ "stdair/stdair_db.hpp", "a00441.html", null ],
      [ "stdair/stdair_demand_types.hpp", "a00442.html", null ],
      [ "stdair/stdair_event_types.hpp", "a00443.html", null ],
      [ "stdair/stdair_exceptions.hpp", "a00444.html", null ],
      [ "stdair/stdair_fare_types.hpp", "a00445.html", null ],
      [ "stdair/stdair_file.hpp", "a00446.html", null ],
      [ "stdair/stdair_inventory_types.hpp", "a00447.html", null ],
      [ "stdair/stdair_log.hpp", "a00448.html", null ],
      [ "stdair/stdair_maths_types.hpp", "a00449.html", null ],
      [ "stdair/stdair_rm_types.hpp", "a00450.html", null ],
      [ "stdair/STDAIR_Service.hpp", "a00451.html", null ],
      [ "stdair/stdair_service_types.hpp", "a00452.html", null ],
      [ "stdair/stdair_types.hpp", "a00453.html", null ],
      [ "stdair/basic/BasChronometer.cpp", "a00184.html", null ],
      [ "stdair/basic/BasChronometer.hpp", "a00185.html", null ],
      [ "stdair/basic/BasConst.cpp", "a00186.html", null ],
      [ "stdair/basic/BasConst_BomDisplay.hpp", "a00187.html", null ],
      [ "stdair/basic/BasConst_BookingClass.hpp", "a00188.html", null ],
      [ "stdair/basic/BasConst_DefaultObject.hpp", "a00189.html", null ],
      [ "stdair/basic/BasConst_Event.hpp", "a00190.html", null ],
      [ "stdair/basic/BasConst_General.hpp", "a00191.html", null ],
      [ "stdair/basic/BasConst_Inventory.hpp", "a00192.html", null ],
      [ "stdair/basic/BasConst_Period_BOM.hpp", "a00193.html", null ],
      [ "stdair/basic/BasConst_Request.hpp", "a00194.html", null ],
      [ "stdair/basic/BasConst_TravelSolution.hpp", "a00195.html", null ],
      [ "stdair/basic/BasConst_Yield.hpp", "a00196.html", null ],
      [ "stdair/basic/BasDBParams.cpp", "a00197.html", null ],
      [ "stdair/basic/BasDBParams.hpp", "a00198.html", null ],
      [ "stdair/basic/BasFileMgr.cpp", "a00199.html", null ],
      [ "stdair/basic/BasFileMgr.hpp", "a00200.html", null ],
      [ "stdair/basic/BasLogParams.cpp", "a00201.html", null ],
      [ "stdair/basic/BasLogParams.hpp", "a00202.html", null ],
      [ "stdair/basic/BasParserHelperTypes.hpp", "a00203.html", null ],
      [ "stdair/basic/BasParserTypes.hpp", "a00204.html", null ],
      [ "stdair/basic/BasTypes.hpp", "a00205.html", null ],
      [ "stdair/basic/ContinuousAttributeLite.hpp", "a00206.html", null ],
      [ "stdair/basic/DemandGenerationMethod.cpp", "a00207.html", null ],
      [ "stdair/basic/DemandGenerationMethod.hpp", "a00208.html", null ],
      [ "stdair/basic/DictionaryManager.cpp", "a00209.html", null ],
      [ "stdair/basic/DictionaryManager.hpp", "a00210.html", null ],
      [ "stdair/basic/EventType.cpp", "a00211.html", null ],
      [ "stdair/basic/EventType.hpp", "a00212.html", null ],
      [ "stdair/basic/float_utils.hpp", "a00213.html", null ],
      [ "stdair/basic/float_utils_google.hpp", "a00214.html", null ],
      [ "stdair/basic/ForecastingMethod.cpp", "a00215.html", null ],
      [ "stdair/basic/ForecastingMethod.hpp", "a00216.html", null ],
      [ "stdair/basic/PartnershipTechnique.cpp", "a00217.html", null ],
      [ "stdair/basic/PartnershipTechnique.hpp", "a00218.html", null ],
      [ "stdair/basic/PassengerType.cpp", "a00219.html", null ],
      [ "stdair/basic/PassengerType.hpp", "a00220.html", null ],
      [ "stdair/basic/ProgressStatus.cpp", "a00221.html", null ],
      [ "stdair/basic/ProgressStatus.hpp", "a00222.html", null ],
      [ "stdair/basic/ProgressStatusSet.cpp", "a00223.html", null ],
      [ "stdair/basic/ProgressStatusSet.hpp", "a00224.html", null ],
      [ "stdair/basic/RandomGeneration.cpp", "a00225.html", null ],
      [ "stdair/basic/RandomGeneration.hpp", "a00226.html", null ],
      [ "stdair/basic/SampleType.cpp", "a00227.html", null ],
      [ "stdair/basic/SampleType.hpp", "a00228.html", null ],
      [ "stdair/basic/ServiceInitialisationType.cpp", "a00229.html", null ],
      [ "stdair/basic/ServiceInitialisationType.hpp", "a00230.html", null ],
      [ "stdair/basic/StructAbstract.hpp", "a00231.html", null ],
      [ "stdair/basic/YieldRange.cpp", "a00232.html", null ],
      [ "stdair/basic/YieldRange.hpp", "a00233.html", null ],
      [ "stdair/bom/AirlineClassList.cpp", "a00234.html", null ],
      [ "stdair/bom/AirlineClassList.hpp", "a00235.html", null ],
      [ "stdair/bom/AirlineClassListKey.cpp", "a00236.html", null ],
      [ "stdair/bom/AirlineClassListKey.hpp", "a00237.html", null ],
      [ "stdair/bom/AirlineClassListTypes.hpp", "a00238.html", null ],
      [ "stdair/bom/AirlineFeature.cpp", "a00239.html", null ],
      [ "stdair/bom/AirlineFeature.hpp", "a00240.html", null ],
      [ "stdair/bom/AirlineFeatureKey.cpp", "a00241.html", null ],
      [ "stdair/bom/AirlineFeatureKey.hpp", "a00242.html", null ],
      [ "stdair/bom/AirlineFeatureTypes.hpp", "a00243.html", null ],
      [ "stdair/bom/AirlineStruct.cpp", "a00244.html", null ],
      [ "stdair/bom/AirlineStruct.hpp", "a00245.html", null ],
      [ "stdair/bom/AirportPair.cpp", "a00246.html", null ],
      [ "stdair/bom/AirportPair.hpp", "a00247.html", null ],
      [ "stdair/bom/AirportPairKey.cpp", "a00248.html", null ],
      [ "stdair/bom/AirportPairKey.hpp", "a00249.html", null ],
      [ "stdair/bom/AirportPairTypes.hpp", "a00250.html", null ],
      [ "stdair/bom/BomAbstract.hpp", "a00251.html", null ],
      [ "stdair/bom/BomArchive.cpp", "a00252.html", null ],
      [ "stdair/bom/BomArchive.hpp", "a00253.html", null ],
      [ "stdair/bom/BomDisplay.cpp", "a00254.html", null ],
      [ "stdair/bom/BomDisplay.hpp", "a00255.html", null ],
      [ "stdair/bom/BomHolder.hpp", "a00256.html", null ],
      [ "stdair/bom/BomHolderKey.cpp", "a00257.html", null ],
      [ "stdair/bom/BomHolderKey.hpp", "a00258.html", null ],
      [ "stdair/bom/BomJSONExport.cpp", "a00259.html", null ],
      [ "stdair/bom/BomJSONExport.hpp", "a00260.html", null ],
      [ "stdair/bom/BomJSONImport.cpp", "a00261.html", null ],
      [ "stdair/bom/BomJSONImport.hpp", "a00262.html", null ],
      [ "stdair/bom/BomKeyManager.cpp", "a00263.html", null ],
      [ "stdair/bom/BomKeyManager.hpp", "a00264.html", null ],
      [ "stdair/bom/BomManager.hpp", "a00265.html", null ],
      [ "stdair/bom/BomRetriever.cpp", "a00266.html", null ],
      [ "stdair/bom/BomRetriever.hpp", "a00267.html", null ],
      [ "stdair/bom/BomRoot.cpp", "a00268.html", null ],
      [ "stdair/bom/BomRoot.hpp", "a00269.html", null ],
      [ "stdair/bom/BomRootKey.cpp", "a00270.html", null ],
      [ "stdair/bom/BomRootKey.hpp", "a00271.html", null ],
      [ "stdair/bom/BookingClass.cpp", "a00272.html", null ],
      [ "stdair/bom/BookingClass.hpp", "a00273.html", null ],
      [ "stdair/bom/BookingClassKey.cpp", "a00274.html", null ],
      [ "stdair/bom/BookingClassKey.hpp", "a00275.html", null ],
      [ "stdair/bom/BookingClassTypes.hpp", "a00276.html", null ],
      [ "stdair/bom/BookingRequestStruct.cpp", "a00277.html", null ],
      [ "stdair/bom/BookingRequestStruct.hpp", "a00278.html", null ],
      [ "stdair/bom/BookingRequestTypes.hpp", "a00279.html", null ],
      [ "stdair/bom/Bucket.cpp", "a00280.html", null ],
      [ "stdair/bom/Bucket.hpp", "a00281.html", null ],
      [ "stdair/bom/BucketKey.cpp", "a00282.html", null ],
      [ "stdair/bom/BucketKey.hpp", "a00283.html", null ],
      [ "stdair/bom/BucketTypes.hpp", "a00284.html", null ],
      [ "stdair/bom/CancellationStruct.cpp", "a00285.html", null ],
      [ "stdair/bom/CancellationStruct.hpp", "a00286.html", null ],
      [ "stdair/bom/CancellationTypes.hpp", "a00287.html", null ],
      [ "stdair/bom/DatePeriod.cpp", "a00288.html", null ],
      [ "stdair/bom/DatePeriod.hpp", "a00289.html", null ],
      [ "stdair/bom/DatePeriodKey.cpp", "a00290.html", null ],
      [ "stdair/bom/DatePeriodKey.hpp", "a00291.html", null ],
      [ "stdair/bom/DatePeriodTypes.hpp", "a00292.html", null ],
      [ "stdair/bom/DoWStruct.cpp", "a00293.html", null ],
      [ "stdair/bom/DoWStruct.hpp", "a00294.html", null ],
      [ "stdair/bom/EventQueue.cpp", "a00295.html", null ],
      [ "stdair/bom/EventQueue.hpp", "a00296.html", null ],
      [ "stdair/bom/EventQueueKey.cpp", "a00297.html", null ],
      [ "stdair/bom/EventQueueKey.hpp", "a00298.html", null ],
      [ "stdair/bom/EventQueueTypes.hpp", "a00299.html", null ],
      [ "stdair/bom/EventStruct.cpp", "a00300.html", null ],
      [ "stdair/bom/EventStruct.hpp", "a00301.html", null ],
      [ "stdair/bom/EventTypes.hpp", "a00302.html", null ],
      [ "stdair/bom/FareFamily.cpp", "a00303.html", null ],
      [ "stdair/bom/FareFamily.hpp", "a00304.html", null ],
      [ "stdair/bom/FareFamilyKey.cpp", "a00305.html", null ],
      [ "stdair/bom/FareFamilyKey.hpp", "a00306.html", null ],
      [ "stdair/bom/FareFamilyTypes.hpp", "a00307.html", null ],
      [ "stdair/bom/FareFeatures.cpp", "a00308.html", null ],
      [ "stdair/bom/FareFeatures.hpp", "a00309.html", null ],
      [ "stdair/bom/FareFeaturesKey.cpp", "a00310.html", null ],
      [ "stdair/bom/FareFeaturesKey.hpp", "a00311.html", null ],
      [ "stdair/bom/FareFeaturesTypes.hpp", "a00312.html", null ],
      [ "stdair/bom/FareOptionStruct.cpp", "a00313.html", null ],
      [ "stdair/bom/FareOptionStruct.hpp", "a00314.html", null ],
      [ "stdair/bom/FareOptionTypes.hpp", "a00315.html", null ],
      [ "stdair/bom/FlightDate.cpp", "a00316.html", null ],
      [ "stdair/bom/FlightDate.hpp", "a00317.html", null ],
      [ "stdair/bom/FlightDateKey.cpp", "a00318.html", null ],
      [ "stdair/bom/FlightDateKey.hpp", "a00319.html", null ],
      [ "stdair/bom/FlightDateTypes.hpp", "a00320.html", null ],
      [ "stdair/bom/FlightPeriod.cpp", "a00321.html", null ],
      [ "stdair/bom/FlightPeriod.hpp", "a00322.html", null ],
      [ "stdair/bom/FlightPeriodKey.cpp", "a00323.html", null ],
      [ "stdair/bom/FlightPeriodKey.hpp", "a00324.html", null ],
      [ "stdair/bom/FlightPeriodTypes.hpp", "a00325.html", null ],
      [ "stdair/bom/GuillotineBlock.cpp", "a00326.html", null ],
      [ "stdair/bom/GuillotineBlock.hpp", "a00327.html", null ],
      [ "stdair/bom/GuillotineBlockKey.cpp", "a00328.html", null ],
      [ "stdair/bom/GuillotineBlockKey.hpp", "a00329.html", null ],
      [ "stdair/bom/GuillotineBlockTypes.hpp", "a00330.html", null ],
      [ "stdair/bom/Inventory.cpp", "a00331.html", null ],
      [ "stdair/bom/Inventory.hpp", "a00332.html", null ],
      [ "stdair/bom/InventoryKey.cpp", "a00333.html", null ],
      [ "stdair/bom/InventoryKey.hpp", "a00334.html", null ],
      [ "stdair/bom/InventoryTypes.hpp", "a00335.html", null ],
      [ "stdair/bom/key_types.hpp", "a00336.html", null ],
      [ "stdair/bom/KeyAbstract.hpp", "a00337.html", null ],
      [ "stdair/bom/LegCabin.cpp", "a00338.html", null ],
      [ "stdair/bom/LegCabin.hpp", "a00339.html", null ],
      [ "stdair/bom/LegCabinKey.cpp", "a00340.html", null ],
      [ "stdair/bom/LegCabinKey.hpp", "a00341.html", null ],
      [ "stdair/bom/LegCabinTypes.hpp", "a00342.html", null ],
      [ "stdair/bom/LegDate.cpp", "a00343.html", null ],
      [ "stdair/bom/LegDate.hpp", "a00344.html", null ],
      [ "stdair/bom/LegDateKey.cpp", "a00345.html", null ],
      [ "stdair/bom/LegDateKey.hpp", "a00346.html", null ],
      [ "stdair/bom/LegDateTypes.hpp", "a00347.html", null ],
      [ "stdair/bom/OnDDate.cpp", "a00348.html", null ],
      [ "stdair/bom/OnDDate.hpp", "a00349.html", null ],
      [ "stdair/bom/OnDDateKey.cpp", "a00350.html", null ],
      [ "stdair/bom/OnDDateKey.hpp", "a00351.html", null ],
      [ "stdair/bom/OnDDateTypes.hpp", "a00352.html", null ],
      [ "stdair/bom/OptimisationNotificationStruct.cpp", "a00353.html", null ],
      [ "stdair/bom/OptimisationNotificationStruct.hpp", "a00354.html", null ],
      [ "stdair/bom/OptimisationNotificationTypes.hpp", "a00355.html", null ],
      [ "stdair/bom/ParsedKey.cpp", "a00356.html", null ],
      [ "stdair/bom/ParsedKey.hpp", "a00357.html", null ],
      [ "stdair/bom/PeriodStruct.cpp", "a00358.html", null ],
      [ "stdair/bom/PeriodStruct.hpp", "a00359.html", null ],
      [ "stdair/bom/PosChannel.cpp", "a00360.html", null ],
      [ "stdair/bom/PosChannel.hpp", "a00361.html", null ],
      [ "stdair/bom/PosChannelKey.cpp", "a00362.html", null ],
      [ "stdair/bom/PosChannelKey.hpp", "a00363.html", null ],
      [ "stdair/bom/PosChannelTypes.hpp", "a00364.html", null ],
      [ "stdair/bom/RMEventStruct.cpp", "a00365.html", null ],
      [ "stdair/bom/RMEventStruct.hpp", "a00366.html", null ],
      [ "stdair/bom/RMEventTypes.hpp", "a00367.html", null ],
      [ "stdair/bom/SegmentCabin.cpp", "a00368.html", null ],
      [ "stdair/bom/SegmentCabin.hpp", "a00369.html", null ],
      [ "stdair/bom/SegmentCabinKey.cpp", "a00370.html", null ],
      [ "stdair/bom/SegmentCabinKey.hpp", "a00371.html", null ],
      [ "stdair/bom/SegmentCabinTypes.hpp", "a00372.html", null ],
      [ "stdair/bom/SegmentDate.cpp", "a00373.html", null ],
      [ "stdair/bom/SegmentDate.hpp", "a00374.html", null ],
      [ "stdair/bom/SegmentDateKey.cpp", "a00375.html", null ],
      [ "stdair/bom/SegmentDateKey.hpp", "a00376.html", null ],
      [ "stdair/bom/SegmentDateTypes.hpp", "a00377.html", null ],
      [ "stdair/bom/SegmentPeriod.cpp", "a00378.html", null ],
      [ "stdair/bom/SegmentPeriod.hpp", "a00379.html", null ],
      [ "stdair/bom/SegmentPeriodKey.cpp", "a00380.html", null ],
      [ "stdair/bom/SegmentPeriodKey.hpp", "a00381.html", null ],
      [ "stdair/bom/SegmentPeriodTypes.hpp", "a00382.html", null ],
      [ "stdair/bom/SnapshotStruct.cpp", "a00383.html", null ],
      [ "stdair/bom/SnapshotStruct.hpp", "a00384.html", null ],
      [ "stdair/bom/SnapshotTypes.hpp", "a00385.html", null ],
      [ "stdair/bom/TimePeriod.cpp", "a00386.html", null ],
      [ "stdair/bom/TimePeriod.hpp", "a00387.html", null ],
      [ "stdair/bom/TimePeriodKey.cpp", "a00388.html", null ],
      [ "stdair/bom/TimePeriodKey.hpp", "a00389.html", null ],
      [ "stdair/bom/TimePeriodTypes.hpp", "a00390.html", null ],
      [ "stdair/bom/TravelSolutionStruct.cpp", "a00391.html", null ],
      [ "stdair/bom/TravelSolutionStruct.hpp", "a00392.html", null ],
      [ "stdair/bom/TravelSolutionTypes.hpp", "a00393.html", null ],
      [ "stdair/bom/VirtualClassStruct.cpp", "a00394.html", null ],
      [ "stdair/bom/VirtualClassStruct.hpp", "a00395.html", null ],
      [ "stdair/bom/VirtualClassTypes.hpp", "a00396.html", null ],
      [ "stdair/bom/YieldFeatures.cpp", "a00397.html", null ],
      [ "stdair/bom/YieldFeatures.hpp", "a00398.html", null ],
      [ "stdair/bom/YieldFeaturesKey.cpp", "a00399.html", null ],
      [ "stdair/bom/YieldFeaturesKey.hpp", "a00400.html", null ],
      [ "stdair/bom/YieldFeaturesTypes.hpp", "a00401.html", null ],
      [ "stdair/bom/YieldStore.cpp", "a00402.html", null ],
      [ "stdair/bom/YieldStore.hpp", "a00403.html", null ],
      [ "stdair/bom/YieldStoreKey.cpp", "a00404.html", null ],
      [ "stdair/bom/YieldStoreKey.hpp", "a00405.html", null ],
      [ "stdair/bom/YieldStoreTypes.hpp", "a00406.html", null ],
      [ "stdair/command/CmdAbstract.cpp", "a00407.html", null ],
      [ "stdair/command/CmdAbstract.hpp", "a00408.html", null ],
      [ "stdair/command/CmdBomManager.cpp", "a00409.html", null ],
      [ "stdair/command/CmdBomManager.hpp", "a00410.html", null ],
      [ "stdair/command/CmdBomSerialiser.cpp", "a00411.html", null ],
      [ "stdair/command/CmdBomSerialiser.hpp", "a00412.html", null ],
      [ "stdair/command/DBManagerForAirlines.cpp", "a00413.html", null ],
      [ "stdair/command/DBManagerForAirlines.hpp", "a00414.html", null ],
      [ "stdair/config/stdair-paths.hpp", "a00415.html", null ],
      [ "stdair/dbadaptor/DbaAbstract.cpp", "a00416.html", null ],
      [ "stdair/dbadaptor/DbaAbstract.hpp", "a00417.html", null ],
      [ "stdair/dbadaptor/DbaAirline.cpp", "a00418.html", null ],
      [ "stdair/dbadaptor/DbaAirline.hpp", "a00419.html", null ],
      [ "stdair/factory/FacAbstract.cpp", "a00420.html", null ],
      [ "stdair/factory/FacAbstract.hpp", "a00421.html", null ],
      [ "stdair/factory/FacBom.hpp", "a00422.html", null ],
      [ "stdair/factory/FacBomManager.hpp", "a00423.html", null ],
      [ "stdair/service/DBSessionManager.cpp", "a00424.html", null ],
      [ "stdair/service/DBSessionManager.hpp", "a00425.html", null ],
      [ "stdair/service/FacServiceAbstract.cpp", "a00426.html", null ],
      [ "stdair/service/FacServiceAbstract.hpp", "a00427.html", null ],
      [ "stdair/service/FacSTDAIRServiceContext.cpp", "a00428.html", null ],
      [ "stdair/service/FacSTDAIRServiceContext.hpp", "a00429.html", null ],
      [ "stdair/service/FacSupervisor.cpp", "a00430.html", null ],
      [ "stdair/service/FacSupervisor.hpp", "a00431.html", null ],
      [ "stdair/service/Logger.cpp", "a00432.html", null ],
      [ "stdair/service/Logger.hpp", "a00433.html", null ],
      [ "stdair/service/ServiceAbstract.cpp", "a00434.html", null ],
      [ "stdair/service/ServiceAbstract.hpp", "a00435.html", null ],
      [ "stdair/service/STDAIR_Service.cpp", "a00436.html", null ],
      [ "stdair/service/STDAIR_ServiceContext.cpp", "a00437.html", null ],
      [ "stdair/service/STDAIR_ServiceContext.hpp", "a00438.html", null ],
      [ "stdair/ui/cmdline/readline_autocomp.hpp", "a00454.html", null ],
      [ "stdair/ui/cmdline/SReadline.hpp", "a00455.html", null ],
      [ "test/stdair/MPBomRoot.cpp", "a00456.html", null ],
      [ "test/stdair/MPBomRoot.hpp", "a00457.html", null ],
      [ "test/stdair/MPInventory.cpp", "a00458.html", null ],
      [ "test/stdair/MPInventory.hpp", "a00459.html", null ],
      [ "test/stdair/StandardAirlineITTestSuite.cpp", "a00460.html", null ],
      [ "test/stdair/StdairTestLib.hpp", "a00461.html", null ]
    ] ],
    [ "Directories", "dirs.html", [
      [ "batches", "dir_6fcff41fb9a16d8ad6130b3935cef8d3.html", null ],
      [ "stdair", "dir_1808dc1e60594f2c1f82091ea4c4c411.html", [
        [ "basic", "dir_1ababf7f5b9244d791bd29cc08c1be16.html", null ],
        [ "bom", "dir_6542a6b5f6c382c871b6d75549a7b667.html", null ],
        [ "command", "dir_ee920d1bc0c0d5032ad5526139d726de.html", null ],
        [ "config", "dir_c1a8c721ff87507af651f6524fa3eb4b.html", null ],
        [ "dbadaptor", "dir_8bafa01ae6f5c6d795094fd2976ebe54.html", null ],
        [ "factory", "dir_cc76bcbd34bde2f74045f4f3307ba550.html", null ],
        [ "service", "dir_9edae1db2750603df66c409d08562a22.html", null ],
        [ "ui", "dir_8a8de282362a588b6e5c395e96f8e508.html", [
          [ "cmdline", "dir_ad856702e36da4368eaa22a1534fdb80.html", null ]
        ] ]
      ] ],
      [ "test", "dir_b07317683ad584f6c2ae80a926fda46b.html", [
        [ "stdair", "dir_a2142481b15c83f496a4c515304183ab.html", null ]
      ] ]
    ] ],
    [ "File Members", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

